@section('content')
    <div class="row-fluid">
        <div class="span12">
            <!-- BEGIN EXAMPLE TABLE widget-->
            <div class="widget light-gray box">
                <div class="blue widget-title">
                    <h4><i class="icon-th-list"></i> {!! trans('cms.slideshow') !!}</h4>
                    <div class="tools">
                        <a href="javascript:;" class="collapse"></a>
                        <a href="#widget-config" data-toggle="modal" class="config"></a>
                        <a href="javascript:;" class="reload"></a>
                        <a href="javascript:;" class="remove"></a>
                    </div>
                </div>
                <div class="widget-body">
                    @if ($current_user->hasAccess("slideshow.create"))
                    <div class="clearfix margin-bottom-10">
                        <div class="btn-group pull-right">
                            <button data-href="{!! URL::to($link_type . '/slideshow/create') !!}" class="btn btn-success">
                                Add New <i class="icon-plus"></i>
                            </button>
                        </div>
                    </div>
                    @endif
                    <table class="table table-striped table-hover table-bordered" id="sample_1">
                        <thead>
                            <tr>
                                <th>Caption</th>
                                <th>Status</th>
                                <th>Created by</th>
                                <th class="span2"></th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($slides as $slide)
                                <tr>
                                    <td>{!! $slide->caption !!}</td>
                                    <td>{!! $slide->status() !!}</td>
                                    <td>{!! $slide->author() !!}</td>
                                    <td>
                                        @if ($current_user->hasAccess("slideshow.edit"))
                                        <a href="{!! URL::to($link_type . '/slideshow/' . $slide->id . '/edit') !!}" class="btn btn-mini"><i class="icon-edit"></i></a>
                                        @endif
                                        <div class="actions inline">
                                            <div class="btn btn-mini">
                                                <i class="icon-cog"> Actions</i>
                                            </div>
                                            <ul class="btn btn-mini">
                                                @if ($current_user->hasAccess("slideshow.destroy"))
                                                <li>
                                                    {!! Form::open(array('route' => array($link_type . '.slideshow.destroy', $slide->id), 'method' => 'delete', 'class'=>'inline', 'onclick'=>"return deleteRecord($(this), 'slideshow');")) !!}
                                                        <button type="submit" class="danger delete"><i class="icon-trash"></i> Delete</button>
                                                    {!! Form::close() !!}
                                                </li>
                                                @endif
                                            </ul>
                                        </div>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
            <!-- END EXAMPLE TABLE widget-->
        </div>
    </div>
@stop

@section('scripts')
        <script src="{!! url("assets/admin/default/js/jquery.dataTables.js") !!}"></script>

        <script src="{!! url("assets/admin/default/js/dataTables.bootstrap.js") !!}"></script>

        <script>
            $(function () {
                $('.table').dataTable({
                    "sDom": "<'row-fluid'<'span6'l><'span6'f>r>t<'row-fluid'<'span6'i><'span6'p>>"
                });
            });
        </script>
@stop
